// ThisBuild / scalaVersion     := "2.13.8"
// ThisBuild / version          := "3.3.0"
// ThisBuild / organization     := "COLIN"

// mainClass in (Compile, run) := Some("QUASAR_Wrp")

// resolvers ++= Seq(
//   Resolver.sonatypeRepo("snapshots"),
//   Resolver.sonatypeRepo("releases")
// )

// val chiselVersion = "3.5.2"

// lazy val root = (project in file("."))
//   .settings(
//     name := "QUASAR",
//     libraryDependencies ++= Seq(
//       "edu.berkeley.cs" %% "chisel3" % chiselVersion,
//       "edu.berkeley.cs" %% "chisel-iotesters" % "2.5.2",
//       "edu.berkeley.cs" %% "chiseltest" % "0.5.2"
//     ),
//     scalacOptions ++= Seq(
//       "-language:reflectiveCalls",
//       "-deprecation",
//       "-feature",
//       "-Xcheckinit",
//       "-P:chiselplugin:genBundleElements",
//       "-Ymacro-annotations",
//     ),
//     addCompilerPlugin("edu.berkeley.cs" % "chisel3-plugin" % chiselVersion cross CrossVersion.full),
//   )

ThisBuild / scalaVersion := "2.12.10"
ThisBuild / version := "3.3.0"
ThisBuild / organization := "COLIN"

mainClass in (Compile, run) := Some("QUASAR_Wrp")

resolvers ++= Seq(
  Resolver.sonatypeRepo("snapshots"),
  Resolver.sonatypeRepo("releases")
)

lazy val root = (project in file("."))
  .settings(
    name := "QUASAR",
    libraryDependencies ++= Seq(
      "edu.berkeley.cs" %% "chisel-iotesters" % "1.4.1",
      "edu.berkeley.cs" %% "chiseltest" % "0.2.1+"
    ),
    scalacOptions ++= Seq(
      "-Xsource:2.11"
    ),
    addCompilerPlugin(
      "org.scalamacros" % "paradise" % "2.1.0" cross CrossVersion.full
    )
  )
